<?php
/*
Plugin Name: Custom User CSS
Plugin URI: http://blog.oremj.com/
Description: Allows users to apply CSS to their blogs.
Version: 0.1.1
Author: Jeremiah Orem
Author URI: http://blog.oremj.com/
*/

/*  Copyright 2009  Jeremiah Orem  (email : jeremy.orem@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

add_action('admin_menu', 'custom_user_css_menu');
add_action('wp_head', 'custom_user_css_addcss');

function custom_user_css_addcss() {
	echo '<style type="text/css">';	
	echo htmlspecialchars(get_option('custom_user_css_css'));
	echo '</style>';

}

function custom_user_css_menu() {
	add_options_page('Custom User CSS Options', 'Custom User CSS', 8, __FILE__, 'custom_user_css_options');
}

function custom_user_css_options() {
	$updated = false;
	$opt_name = 'custom_user_css_css';
	
	$css_val = get_option( $opt_name );

	if( $_POST['action'] == 'update' ) {
		$css_val = $_POST[ $opt_name ];

		update_option( $opt_name, $css_val );
		$updated = true;
	}

	include_once(dirname(__FILE__) . '/custom_user_css_options.php');
}

?>
